Loading...
Searching...
No Matches
OgrePass.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreColourValue.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreUserObjectBindings.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

struct | Ogre::IlluminationPass
| Struct recording a pass which can be used for a specific illumination stage. More...
class | Ogre::Pass
| Class defining a single pass of a Technique (of a Material): a single rendering call. More...
struct | Ogre::Pass::HashFunc
| Definition of a functor for calculating the hashcode of a Pass. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< IlluminationPass * > | Ogre::IlluminationPassList

## Enumerations

enum | Ogre::IlluminationStage : uint8 { Ogre::IS_AMBIENT , Ogre::IS_PER_LIGHT , Ogre::IS_DECAL , Ogre::IS_UNKNOWN }
| Categorisation of passes for the purpose of additive lighting. More...